PBEParameterSpec (GNU cryptographic primitives and tools)
Keywords: javax.crypto.spec.PBEParameterSpec,PBEParameterSpec class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.crypto.spec
Class PBEParameterSpec

    java.lang.Object
      |
      +--javax.crypto.spec.PBEParameterSpec

All Implemented Interfaces:
  java.security.spec.AlgorithmParameterSpec

public class PBEParameterSpec
extends java.lang.Object
implements java.security.spec.AlgorithmParameterSpec

This class specifies the set of parameters used with password-based encryption (PBE), as defined in the PKCS #5 standard.

Constructor Summary
`PBEParameterSpec(byte[] salt, int iterationCount)` Constructs a parameter set for password-based encryption as defined in the PKCS #5 standard.

Method Summary
`int` | `getIterationCount()` Returns the iteration count.
`byte[]` | `getSalt()` Returns the salt.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PBEParameterSpec

    public PBEParameterSpec(byte[] salt,
                            int iterationCount)

  Constructs a parameter set for password-based encryption as defined in the PKCS #5 standard.

Parameters:
  `salt` - the salt.
  `iterationCount` - the iteration count.

Method Detail

### getSalt

    public byte[] getSalt()

  Returns the salt.

  Returns:
    the salt

### getIterationCount

    public int getIterationCount()

  Returns the iteration count.

  Returns:
    the iteration count

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.